LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-06-2016, 05:10 AM   #1
BooBerry
LQ Newbie
 
Registered: May 2016
Posts: 1

Rep: Reputation: Disabled
virtualbox will not configure in Kali Sana


I downloaded and installed virtualbox (latest version) and linux headers under a 64bit kali sana via terminal. Installation was successful but I got the following error message:

Code:
pkg -i virtualbox-5.0_5.0.20-106931~Debian~wheezy_amd64.deb
Selecting previously unselected package virtualbox-5.0.
(Reading database ... 381785 files and directories currently installed.)
Preparing to unpack virtualbox-5.0_5.0.20-106931~Debian~wheezy_amd64.deb ...
Unpacking virtualbox-5.0 (5.0.20-106931~Debian~wheezy) ...
dpkg: dependency problems prevent configuration of virtualbox-5.0:
 virtualbox-5.0 depends on libpng12-0 (>= 1.2.13-4); however:
  Package libpng12-0:amd64 is not installed.
 virtualbox-5.0 depends on libvpx1 (>= 1.0.0); however:
  Package libvpx1:amd64 is not installed.

dpkg: error processing package virtualbox-5.0 (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (229-5) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.6-1) ...
Processing triggers for mime-support (3.59) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Errors were encountered while processing:
 virtualbox-5.0
So then I tried to install virtualbox-dkms but got this:

Code:
dpkg -i virtualbox-5.0_5.0.20-106931~Debian~wheezy_amd64.deb
Selecting previously unselected package virtualbox-5.0.
(Reading database ... 381785 files and directories currently installed.)
Preparing to unpack virtualbox-5.0_5.0.20-106931~Debian~wheezy_amd64.deb ...
Unpacking virtualbox-5.0 (5.0.20-106931~Debian~wheezy) ...
dpkg: dependency problems prevent configuration of virtualbox-5.0:
 virtualbox-5.0 depends on libpng12-0 (>= 1.2.13-4); however:
  Package libpng12-0:amd64 is not installed.
 virtualbox-5.0 depends on libvpx1 (>= 1.0.0); however:
  Package libvpx1:amd64 is not installed.

dpkg: error processing package virtualbox-5.0 (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (229-5) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.6-1) ...
Processing triggers for mime-support (3.59) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Errors were encountered while processing:
 virtualbox-5.0
Then as recommended I did apt-get -f install and stopped there.

I'd really appreciate any help in solving this issue.

Thanks
 
Old 05-06-2016, 06:31 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,322

Rep: Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581Reputation: 3581
Welcome to LQ.
Quote:
Package libvpx1:amd64 is not installed.
Then please install libvpx1
https://packages.debian.org/wheezy/libvpx1
>> http://ftp.fi.debian.org/debian/pool....0-1_amd64.deb
 
Old 05-06-2016, 10:00 PM   #3
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Ubuntu MATE, Mageia, and whatever VMs I happen to be playing with
Posts: 15,877
Blog Entries: 27

Rep: Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668Reputation: 4668
Kali is a very specialized distro designed for penetration testing. It is not the best vehicle for VirtualBox or for desktop Linux.

You should take a look at this thread. http://www.linuxquestions.org/questi...ux-4175579078/
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Oracle VirtualBox on Kali Sana Linux jl469y Linux - Newbie 13 05-06-2016 01:47 AM
Trying to run virtualbox on kali 2.0 aooaoo Linux - Newbie 1 10-11-2015 07:25 AM
Not able to get gdm3 after upgrade to kali sana pkd Debian 4 08-22-2015 02:20 AM
Kali Linux in VirtualBox starcityque Linux - Newbie 3 04-19-2013 12:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:04 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration